## org.eclipse.emf.compare.match.metamodel
Interface MatchModel

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MatchModelImpl

    public interface MatchModel

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Model'.

The following features are supported:

- `Matched Elements`
- `Unmatched Elements`
- `Left Roots`
- `Right Roots`
- `Ancestor Roots`

See Also:
  `MatchPackage.getMatchModel()`

Method Summary
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getAncestorRoots()` Returns the value of the 'Ancestor Roots' reference list.
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getLeftRoots()` Returns the value of the 'Left Roots' reference list.
`org.eclipse.emf.common.util.EList<MatchElement>` `getMatchedElements()` Returns the value of the 'Matched Elements' containment reference list.
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getRightRoots()` Returns the value of the 'Right Roots' reference list.
`org.eclipse.emf.common.util.EList<UnmatchElement>` `getUnmatchedElements()` Returns the value of the 'Unmatched Elements' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMatchedElements

    org.eclipse.emf.common.util.EList<MatchElement> getMatchedElements()

  Returns the value of the 'Matched Elements' containment reference list. The list contents are of type `MatchElement`.

  If the meaning of the 'Matched Elements' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Matched Elements' containment reference list.
  See Also:
    `MatchPackage.getMatchModel_MatchedElements()`

### getUnmatchedElements

    org.eclipse.emf.common.util.EList<UnmatchElement> getUnmatchedElements()

  Returns the value of the 'Unmatched Elements' containment reference list. The list contents are of type `UnmatchElement`.

  If the meaning of the 'Unmatched Elements' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unmatched Elements' containment reference list.
  See Also:
    `MatchPackage.getMatchModel_UnmatchedElements()`

### getLeftRoots

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getLeftRoots()

  Returns the value of the 'Left Roots' reference list. The list contents are of type `EObject`.

  If the meaning of the 'Left Roots' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Roots' reference list.
  See Also:
    `MatchPackage.getMatchModel_LeftRoots()`

### getRightRoots

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getRightRoots()

  Returns the value of the 'Right Roots' reference list. The list contents are of type `EObject`.

  If the meaning of the 'Right Roots' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Roots' reference list.
  See Also:
    `MatchPackage.getMatchModel_RightRoots()`

### getAncestorRoots

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getAncestorRoots()

  Returns the value of the 'Ancestor Roots' reference list. The list contents are of type `EObject`.

  If the meaning of the 'Ancestor Roots' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ancestor Roots' reference list.
  See Also:
    `MatchPackage.getMatchModel_AncestorRoots()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.